Class | YAML::PrivateType
In: | yaml/types.rb
Parent: | Object

Default private type

### Methods

new tag_subclasses? to_yaml

### Attributes

type_id | [RW] |
value | [RW] |

### Public Class methods

new( type, val )

[Source]

    # File yaml/types.rb, line 15
            def initialize( type, val )
                @type_id = type; @value = val
                @value.taguri = "x-private:#{ @type_id }"
            end

tag_subclasses?()

[Source]

    # File yaml/types.rb, line 12
            def self.tag_subclasses?; false; end

### Public Instance methods

to_yaml( opts = {} )

[Source]

    # File yaml/types.rb, line 19
            def to_yaml( opts = {} )
                @value.to_yaml( opts )
            end

[Validate]